Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Release 1.4.0

...

Changelog

Upcoming features

...

Version 1.4.0

...

(25th November 2018)
  • The minimum required version of Jenkins that this plugin depends to is Jenkins 2.x (provisionally 2.73.3)

  • Adding ability to get changelogs for Multibranch Pipeline (#54 - thanks Frank Ziegler)

  • [JENKINS-54498] version creation databoundconstructor regression (#56)
  • Clean up global configuration section (#57)In the next release (1.4.0) the
  • [JENKINS-54576] Pipeline baseurlholder should be optional (#58)
  • The pipeline API will change slightly with respect to the custom baseUrl property. If you receive the following error message:
    Invalid parameter "baseUrlHolder", did you mean "baseUrl"

    You will need to change your pipeline from:

    Code Block
    languagegroovy
    baseUrlHolder: [baseUrl: 'https://your.custom.url']

    To:

    Code Block
    languagegroovy
    baseUrl: 'https://your.custom.url'

...